diff --git a/scripts/debchange.pl b/scripts/debchange.pl
index 1ca421f..1419a31 100755
--- a/scripts/debchange.pl
+++ b/scripts/debchange.pl
@@ -1280,7 +1280,7 @@ if (($opt_r || $opt_a || $merge) && ! $opt_create) {
     # last entry, and determine whether there are existing
     # multi-developer changes by the current maintainer.
     $line=-1;
-    my ($lastmaint, $nextmaint, $maintline, $count, $lastheader, $lastdist, $dist_indicator);
+    my ($lastmaint, $nextmaint, $trailer, $maintline, $count, $lastheader, $lastdist, $dist_indicator);
     my $savedline = $line;;
     while (<S>) {
 	$line++;
@@ -1317,8 +1317,19 @@ if (($opt_r || $opt_a || $merge) && ! $opt_create) {
 	    ($dist_indicator = $1) =~ s/[!:.,;]$//;
 	    chomp $dist_indicator;
 	}
-	elsif (/^ --\s+([^<]+)\s+/ || /^ --\s+<(.+?)>/) {
-	    $lastmaint=$1;
+	elsif (/^ --$/ || /^ --\s+([^<]+)\s+/ || /^ --\s+<(.+?)>/) {
+            $trailer = $line;
+            if (/^ --$/) {
+                # The trailer line is not finalised.
+                if (defined $lastdist) {
+                    # Distribution should be “UNRELEASED”.
+                    fatal "Trailer line must be finalised, or distribution must be UNRELEASED"
+                }
+            }
+            else {
+                # The trailer line is finalised. Store the maintainer value.
+                $lastmaint = $1;
+            }
 	    # Remember where we are so we can skip back afterwards
 	    $savedline = $line;
 	}
